import java.io.*;
import java.util.*;
 
public class interactive_nn_wa {
 
    static void solve() throws IOException {
        int p = nextInt();
        int v = nextInt();
        int l = 0;
        int r = p;
        // out.println("check " + 0 + " " + 0);
        // out.flush();
        // nextToken();
        // r += v;
        int lv = 0;
        int rv = v;
        int s = 0;
        int cur = 1;
        int vel = 10;
        while (l < r) {
            int mid = (l + r + 1) >> 1;
            out.println("check " + l + " " + (mid - 1));
            out.flush();
//          String str = cur >= l && cur < mid ? "Yes" : "No";// nextToken();
            String str = nextToken();
            if (str.equals("Yes")) {
                l = l + lv;
                r = mid - 1 + rv;
            } else {
                l = mid + lv;
                r = r + rv;
            }
            s++;
            lv = Math.max(lv, (l - p + s - 1) / s);
            rv = Math.min(rv, r / s);
//          System.err.println(l + " " + r + " " + lv + " " + rv);
            cur += vel;
        }
        // int lv = 0;
        // int rv = v;
        // while (lv < rv) {
        // int mid = (lv + rv + rv) / 3;
        // out.println("check2 " + (r - (rv - mid + 1) + 1) + " " + r);
        // out.flush();
        // String s = nextToken();
        // if (s.equals("Yes")) {
        // lv = mid;
        // l = (r - (rv - mid + 1) + 1) + lv;
        // r = r + rv;
        // } else {
        // l = l + lv;
        // r = (r - (rv - mid + 1)) + rv;
        // }
        // System.err.println(l + " " + r + " " + lv + " " + rv);
        // }
        out.println("answer " + l);
        out.flush();
    }
 
    public static void main(String[] args) throws Exception {
        File file = new File("i.in");
        InputStream input = System.in;
        PrintStream output = System.out;
        if (file.exists() && file.canRead()) {
            input = new FileInputStream(file);
            // output = new PrintStream("i.out");
        }
        br = new BufferedReader(new InputStreamReader(input));
        out = new PrintWriter(output);
        solve();
        out.close();
    }
 
    static BufferedReader br;
    static StringTokenizer st;
    static PrintWriter out;
 
    static String nextToken() throws IOException {
        while (st == null || !st.hasMoreTokens()) {
            String line = br.readLine();
            if (line == null) {
                return null;
            }
            st = new StringTokenizer(line);
        }
        return st.nextToken();
    }
 
    static int nextInt() throws IOException {
        return Integer.parseInt(nextToken());
    }
 
    static long nextLong() throws IOException {
        return Long.parseLong(nextToken());
    }
 
    static double nextDouble() throws IOException {
        return Double.parseDouble(nextToken());
    }
}